<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpd="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:template name="Option">
		<xsl:param name="string" />
		<xsl:param name="delimiter" select="', '" />
		<xsl:choose>
			<xsl:when test="$delimiter and contains($string, $delimiter)">
				
				<xsl:variable name="str">
					<xsl:value-of
						select="substring-before($string,$delimiter)" />
				</xsl:variable>
				<xsl:choose>
				<xsl:when test="'~' and contains($str, '~')">
				 	<xsl:variable name="str1">
					<xsl:value-of
						select="substring-before($str,'~')" />
				</xsl:variable>
				 <option value="{$str1}" selected="true"><xsl:value-of select="$str1" /></option>
				</xsl:when>
				 <xsl:otherwise>
				 <option value="{$str}"><xsl:value-of select="$str" /></option>
				 </xsl:otherwise>
				 </xsl:choose>
				<xsl:call-template name="Option">
					<xsl:with-param name="string"
						select="substring-after($string,$delimiter)" />
					<xsl:with-param name="delimiter"
						select="$delimiter" />
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
			<xsl:if test="$string!=''">
				<xsl:variable name="str">
					<xsl:value-of select="$string" />
				</xsl:variable>
				<xsl:choose>
				<xsl:when test="'~' and contains($str, '~')">
				<xsl:variable name="str1">
					<xsl:value-of
						select="substring-before($str,'~')" />
				</xsl:variable>
				 <option value="{$str1}" selected="true"><xsl:value-of select="$str1" /></option>
				</xsl:when>
				 <xsl:otherwise>
				 <option value="{$str}"><xsl:value-of select="$str" /></option>
				 </xsl:otherwise>
				 </xsl:choose>
			</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>
