<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="p" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="navig_url" select="UserActionsHandlerPO.po" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>Create new user</title>
</head>
	<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
	<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<body>
<form action="javascript: void 0" id="innerForm" method="post" style="height:100%" onsubmit="return checkPwd(this);" name="innerForm" >
<input name="event" type="hidden"/>

<!-- popup window -->
 <div id="popupframew">

  <div id="popuphbar">
    <div class="popupheadline">
    	<xsl:if test="$fromPage='new'">
    		<span class="newuser">Create New User</span>
    	</xsl:if>
    	<xsl:if test="$fromPage='pass'">
			 <span class="changepass">Change User Password</span>
		</xsl:if>
    	<xsl:if test="$fromPage='upd'">
    		<span class="edituser">Update User Data</span>
    	</xsl:if>		
    </div>
    <div class="popuphtoolbar">
      <ul>
        <li><a class="close" href="#" onclick="javascript: popupWinClose();" title="Close"><span></span></a></li>
      </ul>
    </div>
  </div>
  <div id="popupframe"><div id="popupcntw">
     <div class="fset01w">
	     <xsl:if test="$fromPage='new'">
	      <div class="fset01">
	        <label class="l1">Group name:</label>
	        <div class="inputw01">
				<select name="group_manager">
	             	<xsl:for-each select="xpil:InstanceExtendedAttribute">
			             <xsl:if test="@Name='group'">
			               <xsl:variable name="opt">
			                 <xsl:value-of select="@Value"/>
			               </xsl:variable>
			               <option value="{$opt}">
			                 <xsl:value-of select="@Value"/>
			               </option>
			            </xsl:if>
			         </xsl:for-each>
	        	</select>
	        </div>
	      </div>
	      </xsl:if>
	  <xsl:for-each select="//.">
	  <xsl:choose>
	  <xsl:when test="name()='xpil:InstanceExtendedAttributes'">
      <div class="fset01">
        <label class="l1">Username:</label>
        <div class="inputw01">
			<xsl:if test="$fromPage='pass' or $fromPage='upd'">
			   <xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value"/>
			</xsl:if>
			<xsl:if test="$fromPage='new'">        
          		<input type="text" name="text1"/>
          	</xsl:if>	
        </div>
      </div>
      </xsl:when>
      </xsl:choose>
      </xsl:for-each>
    </div>
    
    <xsl:for-each select="//.">
	<xsl:choose>
	<xsl:when test="name()='xpil:InstanceExtendedAttributes'">
	<xsl:if test="$fromPage='pass' or $fromPage='new'">
    <div class="fset01w">
      <div class="fset01">
        <label class="l1">Password:</label>
        <div class="inputw01">
          <input id="pass1" type="password" name="pass1"/>
        </div>
      </div>
      <div class="fset01">
        <label class="l1">Confirm password:</label>
        <div class="inputw01">
          <input id="pass2" type="password" name="pass2"/>
        </div>
      </div>
    </div>
	</xsl:if>
    <div class="fset01w">
      <div class="fset01">
        <label class="l1">First name:</label>
        <div class="inputw01">
			<xsl:if test="$fromPage='pass'">
			   <xsl:value-of select="xpil:InstanceExtendedAttribute[2]/@Value"/>
			</xsl:if>
			<xsl:if test="$fromPage='new'">
			 <input type="text" name="text2"/>
			</xsl:if>
			<xsl:if test="$fromPage='upd'">
			 <input type="text" name="text2" value="{xpil:InstanceExtendedAttribute[2]/@Value}"/>
			</xsl:if>
       </div>
      </div>
      <div class="fset01">
        <label class="l1">Last name:</label>
        <div class="inputw01">
			<xsl:if test="$fromPage='pass'">
			   <xsl:value-of select="xpil:InstanceExtendedAttribute[3]/@Value"/>
			</xsl:if>
			<xsl:if test="$fromPage='new'">
			 <input type="text" name="text3"/>
			</xsl:if>
			<xsl:if test="$fromPage='upd'">
			 <input type="text" name="text3" value="{xpil:InstanceExtendedAttribute[3]/@Value}"/>
			</xsl:if>
        </div>
      </div>
    </div>

    <div class="fset01saw">
      <div class="fset01">
        <label class="l1">Email address:</label>
        <div class="inputw01">
			<xsl:if test="$fromPage='pass'">
			   <xsl:value-of select="xpil:InstanceExtendedAttribute[4]/@Value"/>
			</xsl:if>
			<xsl:if test="$fromPage='new'">
			 <input type="text" name="text4"/>
			</xsl:if>
			<xsl:if test="$fromPage='upd'">
			 <input type="text" name="text4" value="{xpil:InstanceExtendedAttribute[4]/@Value}"/>
			</xsl:if>
        </div>
      </div>
    </div>
    </xsl:when>
    </xsl:choose>
    </xsl:for-each>
  </div></div>

  <div id="popupfooter">
    <div class="popupfcontrols">
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
						<xsl:variable name="okUrl">
								javascript:submitFormEvent('innerForm','UserActionsHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								&#38;old_name=
								<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value" />
								&#38;fromPage=
								<xsl:value-of select="$fromPage" />
								','ok')
							</xsl:variable>
		  <xsl:if test="$fromPage='new'">					
	          <li><a class="saveandclose" href="{$okUrl}" onclick="" title="Save and Close"><span></span></a></li>
	      </xsl:if>
	      <xsl:if test="$fromPage='pass' or $fromPage='upd'">
	      	  <li><a class="save" href="{$okUrl}" onclick="" title="Save"><span></span></a></li>
	      </xsl:if>    
        </ul>
      </div></div></div>
      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
        <ul class="toollset toollsetsa">
          <li><a class="cancel" href="#" onclick="javascript: popupWinClose();" title="Cancel"><span></span></a></li>
        </ul>
      </div></div></div>
    </div>
  </div>
 </div>
<!-- popup window end -->
</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
