Create table SHKProcessHistoryInfo
(
ProcessId  VARCHAR2 (100)  NOT NULL     ,
ProcessName  VARCHAR2 (254)     ,
ProcessFactoryName  VARCHAR2 (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR2 (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR2 (90)     ,
ProcessPriority  INTEGER    ,
ProcessLimitTime  INTEGER    ,
ProcessDescription  VARCHAR2 (254)     ,
PackageId  VARCHAR2 (90)  NOT NULL     ,
PActivityId  VARCHAR2 (100)     ,
PProcessId  VARCHAR2 (100)     ,
PProcessName  VARCHAR2 (254)     ,
PProcessFactoryName  VARCHAR2 (200)     ,
PProcessFactoryVersion  VARCHAR2 (20)     ,
PActivityDefinitionId  VARCHAR2 (90)     ,
PActivityDefinitionName  VARCHAR2 (90)     ,
PProcessDefinitionId  VARCHAR2 (90)     ,
PProcessDefinitionName  VARCHAR2 (90)     ,
PPackageId  VARCHAR2 (90)     ,
CreatedTime  INTEGER    ,
CreatedTimeTZO  INTEGER    ,
StartedTime  INTEGER    ,
StartedTimeTZO  INTEGER    ,
SuspendedTime  INTEGER    ,
SuspendedTimeTZO  INTEGER    ,
ResumedTime  INTEGER    ,
ResumedTimeTZO  INTEGER    ,
ClosedTime  INTEGER    ,
ClosedTimeTZO  INTEGER    ,
DeletionTime  INTEGER    ,
DeletionTimeTZO  INTEGER    ,
CreatedByUsername  VARCHAR2 (100)     ,
StartedByUsername  VARCHAR2 (100)     ,
SuspendedByUsername  VARCHAR2 (100)     ,
ResumedByUsername  VARCHAR2 (100)     ,
ClosedByUsername  VARCHAR2 (100)     ,
DeletedByUsername  VARCHAR2 (100)     ,
LastState  VARCHAR2 (100)     ,
LastStateTime  INTEGER    ,
LastStateTimeTZO  INTEGER    ,
LastRecordedTime  INTEGER    ,
LastRecordedTimeTZO  INTEGER    ,
ProcessDuration  INTEGER    ,
IsDeleted  INTEGER    ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessHistoryDetails
(
ProcessId  VARCHAR2 (100)  NOT NULL     ,
ProcessHistoryInfo  NUMBER (19,0)  NOT NULL    ,
TheType  INTEGER NOT NULL     ,
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR2 (100)  NOT NULL     ,
Priority  INTEGER    ,
LimitTime  INTEGER    ,
Description  VARCHAR2 (254)     ,
Name  VARCHAR2 (254)     ,
VariableDefinitionId  VARCHAR2 (100)     ,
VariableType  INTEGER    ,
VariableValue  BLOB    ,
VariableValueXML  LONG    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryInfo
(
ProcessId  VARCHAR2 (100)  NOT NULL     ,
ProcessName  VARCHAR2 (254)     ,
ProcessFactoryName  VARCHAR2 (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR2 (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR2 (90)     ,
ProcessPriority  INTEGER    ,
ProcessLimitTime  INTEGER    ,
ProcessDescription  VARCHAR2 (254)     ,
PackageId  VARCHAR2 (90)  NOT NULL     ,
ActivityId  VARCHAR2 (100)  NOT NULL     ,
ActivityName  VARCHAR2 (254)     ,
ActivityPriority  INTEGER    ,
ActivityLimitTime  INTEGER    ,
ActivityDescription  VARCHAR2 (254)     ,
ActivityDefinitionId  VARCHAR2 (90)  NOT NULL     ,
ActivityDefinitionName  VARCHAR2 (90)     ,
ActivityDefinitionType  INTEGER    ,
DeadlineTimeLimit  INTEGER    ,
DeadlineExceptionName  VARCHAR2 (100)     ,
DeadlineIsSynchronous  INTEGER    ,
CreatedTime  INTEGER NOT NULL     ,
CreatedTimeTZO  INTEGER    ,
StartedTime  INTEGER    ,
StartedTimeTZO  INTEGER    ,
SuspendedTime  INTEGER    ,
SuspendedTimeTZO  INTEGER    ,
ResumedTime  INTEGER    ,
ResumedTimeTZO  INTEGER    ,
AcceptedTime  INTEGER    ,
AcceptedTimeTZO  INTEGER    ,
RejectedTime  INTEGER    ,
RejectedTimeTZO  INTEGER    ,
ClosedTime  INTEGER    ,
ClosedTimeTZO  INTEGER    ,
DeletionTime  INTEGER    ,
DeletionTimeTZO  INTEGER    ,
CreatedByUsername  VARCHAR2 (100)     ,
StartedByUsername  VARCHAR2 (100)     ,
SuspendedByUsername  VARCHAR2 (100)     ,
ResumedByUsername  VARCHAR2 (100)     ,
AcceptedByUsername  VARCHAR2 (100)     ,
RejectedByUsername  VARCHAR2 (100)     ,
ClosedByUsername  VARCHAR2 (100)     ,
DeletedByUsername  VARCHAR2 (100)     ,
CurrentUsername  VARCHAR2 (100)     ,
LastState  VARCHAR2 (100)     ,
LastStateTime  INTEGER    ,
LastStateTimeTZO  INTEGER    ,
LastRecordedTime  INTEGER    ,
LastRecordedTimeTZO  INTEGER    ,
ActivityDuration  INTEGER    ,
IsDeleted  INTEGER    ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryDetails
(
ActivityId  VARCHAR2 (100)  NOT NULL     ,
ActivityHistoryInfo  NUMBER (19,0)  NOT NULL    ,
TheType  INTEGER NOT NULL     ,
RecordedTime  INTEGER NOT NULL     ,
RecordedTimeTZO  INTEGER NOT NULL     ,
TheUsername  VARCHAR2 (100)  NOT NULL     ,
ReassignFrom  VARCHAR2 (100)     ,
ReassignTo  VARCHAR2 (100)     ,
Priority  INTEGER    ,
LimitTime  INTEGER    ,
Description  VARCHAR2 (254)     ,
Name  VARCHAR2 (254)     ,
DeadlineTimeLimit  INTEGER    ,
DeadlineExceptionName  VARCHAR2 (100)     ,
DeadlineIsSynchronous  INTEGER    ,
VariableDefinitionId  VARCHAR2 (100)     ,
VariableType  INTEGER    ,
VariableValue  BLOB    ,
VariableValueXML  LONG    ,
VariableValueVCHAR  VARCHAR2 (4000)     ,
VariableValueDBL  DOUBLE PRECISION    ,
VariableValueLONG  INTEGER    ,
VariableValueDATE  DATE    ,
VariableValueBOOL  INTEGER    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  NUMBER (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



